/* Reset */
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

/* General styles */
body {
  font-family: sans-serif;
  font-size: 16px;
  line-height: 1.5;
  display: flex; /* Ajout de display: flex */
  justify-content: center; /* Centrage horizontal */
  align-items: center; /* Centrage vertical */
	background-color:#131313; 
	color: #DCD4D4;
}

header {
  background-color: #2c3e50;
  color: #fff;
  padding: 20px;
}

h1 {
  margin: 0;
}



h2 {
  font-size: 24px;
  margin-bottom: 10px;
}

form label {
  display: block;
  margin-bottom: 10px;
}

form input[type="text"],
form input[type="password"] {
  display: block;
  width: 100%;
  padding: 10px;
  margin-bottom: 20px;
  border-radius: 5px;
  border: 1px solid #ccc;
}

form input[type="submit"] {
  background-color: #2c3e50;
  color: #fff;
  padding: 10px 20px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

footer {
  background-color: #ccc;
  color: #333;
  padding: 20px;
  text-align: center;
}

 main {
    display: flex;
    flex-direction: column;
    
    align-items: center;
    height: calc(100vh - 100px);
	 
  width: 100%;
  }

.error{
	color: red;
}

#menu_logout{
	background-color: #D9080C;
	border: 0.1em groove #F76C6E ;
}


/* MENU */
nav ul {
	list-style: none;
	margin: 0;
	padding: 0;
	display: flex;
	justify-content: space-between;
	align-items: center;
}

nav li {
	  margin: 0 10px;
	border: none;
	
}

nav a {
	color: #fff;
	text-decoration: none;
	background-color:#34308F;
	transition: background-color 0.2s ease;
	padding: 0.1em;
	border: 0.1em groove #081DC0 ;
	border-radius: 0.2em;
}

nav a:hover {
  background-color: #fff;
  color: #2c3e50;
}

nav a.active {
  background-color: #036F19;
}

.menu-list {
	display: none;
    position: absolute;
 	top: 70px;
  	left: 0;
    border: 1px groove #eee;
	border-radius: 0.2em;
    z-index: 1;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.menu-list li {
	margin-bottom: 0.2em;
	/*border-top: 1px solid #eee;*/
}

.menu-toggle {
 	display: block;
	position: absolute;
	top: 20px;
  	left: 20px;
  	z-index: 1;
    background-color: #2c3e50;
    border: none;
    color:aliceblue;
    font-size: 16px;
    padding: 10px;
    cursor: pointer;
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
	border: 1px groove #eee;
	border-radius: 0.2em;
 }

.menu-toggle:focus {
	outline: none;
}


.nav-menu .menu-toggle {
	display: block;
}
	
.menu-list.menu-active {
	display: flex;
	flex-direction: column;
	align-items: center;
	background-color: #fff;
	border: 1px solid #000;
	position: absolute;
	top: 2%;
	right: 0;
	width: 150px;
	padding: 0;
	margin: 0;
}

.menu-list.menu-active li {
	display: block;
	margin: 0;
	padding: 0;
}

.menu-list.menu-active a {
	display: block;
	padding: 10px;
	text-decoration: none;
	color: #000;
}

.menu-list.menu-active a:hover {
	background-color: #000;
	color: #fff;
	
}
	
.menu-toggle:checked ~ .menu-list {
	display: flex;
  	flex-direction: column;
}

#titre_page_h2{
	width: 100%;
}

#main_content{
	width: 100%;
	padding-top: 0px;
	margin-top: 0px;
}

#div_gauche{
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
	border: 1px groove #eee;
	border-radius: 0.2em;
	padding-top: 1em;
	padding-bottom: 1em;
	overflow-y: auto;
}


#div_droite{
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
	border: 1px groove #eee;
	border-radius: 0.2em;
	display: grid;
  	/*grid-template-columns: repeat(2, 1fr);
	grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));*/
  	grid-gap: 20px;
	padding-top: 1em;
	padding-bottom: 1em;
}

.row-1, .row-2, .row-3 {
  display: flex;
  flex-wrap: wrap;
  margin-bottom: 10px;
	 align-items: center;
}



.col {
  display: flex;
  flex-direction: column;
  
}

.col label {
  margin-bottom: 5px;
}

.col input[type="text"] {
  flex: 1;
  margin-bottom: 10px;
  margin-left: 1em;
  margin-right: 1em;
}
.col-1 {
  flex: 1;
  width: 100%;
}

.col-2 {
  flex: 1;
  width: 50%;
}

.col-3 {
  flex: 1;
  width: 33.33%;
}

.row-custom {
  display: flex;
  flex-wrap: wrap;
  margin-bottom: 10px;
	 align-items: center;
	width: 100%
}
.col-10 {
	padding-top: 1em;
	width: 10%;
  float: left;
/*  flex: 1;
  width: 10%;*/
}

.col-20 {
	padding-top: 1em;
	width: 20%;
  float: left;
  /*flex: 1;
  width: 20%;*/
}

.col-70 {
	padding-top: 1em;
	width: 70%;
  float: left;
 /* flex: 1;
  width: 70%;*/
}

.col-90 {
	
  flex: 1;
  width: 90%;
}
input[disabled]{
  background-color: #f1f1f1;
}
input::placeholder {
  color: #7DA685;
}

.encadrer{
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
	border: 1px groove #eee;
	border-radius: 0.5em;
	margin: 1em;
}

.h3_titre{
	background-color: #6367B9;
	margin: 0px;
	padding: 0px;
	border-radius: 0.5em;
	
}


.bp-add {
	box-shadow:inset 0px 1px 0px 0px #caefab;
	background:linear-gradient(to bottom, #77d42a 5%, #5cb811 100%);
	background-color:#77d42a;
	border-radius:6px;
	border:1px solid #268a16;
	display:inline-block;
	cursor:pointer;
	color:#306108;
	font-family:Arial;
	font-size:15px;
	font-weight:bold;
	padding:6px 24px;
	text-decoration:none;
	text-shadow:0px 1px 0px #aade7c;
	margin-right: 1em;
	margin-left: 1em;
}
.bp-add:hover {
	background:linear-gradient(to bottom, #5cb811 5%, #77d42a 100%);
	background-color:#5cb811;
	cursor: pointer;
}
.bp-add:active {
	position:relative;
	top:1px;
}



.bp-del {
	box-shadow:inset 0px 1px 0px 0px #f29c93;
	background:linear-gradient(to bottom, #fe1a00 5%, #ce0100 100%);
	background-color:#fe1a00;
	border-radius:6px;
	border:1px solid #d83526;
	display:inline-block;
	cursor:pointer;
	color:#ffffff;
	font-family:Arial;
	font-size:15px;
	font-weight:bold;
	padding:6px 24px;
	text-decoration:none;
	text-shadow:0px 1px 0px #b23e35;
}
.bp-del:hover {
	background:linear-gradient(to bottom, #ce0100 5%, #fe1a00 100%);
	background-color:#ce0100;
	cursor: pointer;
}
.bp-del:active {
	position:relative;
	top:1px;
}

.bp-new {
	box-shadow:inset 0px 1px 0px 0px #bbdaf7;
	background:linear-gradient(to bottom, #79bbff 5%, #378de5 100%);
	background-color:#79bbff;
	border-radius:6px;
	border:1px solid #84bbf3;
	display:inline-block;
	cursor:pointer;
	color:#ffffff;
	font-family:Arial;
	font-size:15px;
	font-weight:bold;
	padding:6px 24px;
	text-decoration:none;
	text-shadow:0px 1px 0px #528ecc;
}
.bp-new:hover {
	background:linear-gradient(to bottom, #378de5 5%, #79bbff 100%);
	background-color:#378de5;
}
.bp-new:active {
	position:relative;
	top:1px;
}


.hover_icon{
	cursor: pointer;
	
}
.table {
  width: 100%;
  max-width: 100%;
  overflow-x: auto;
}

.table th,
.table td {
  padding: 0.5rem;
  vertical-align: top;
}

.impair_tr{
	background-color:#012D0E;
}

.pair_tr{
	background-color:#2c3e50;
}

/* CLIENT */
.client_recherche_hover:hover{
	cursor: pointer;
	font-style: oblique;
	color: blue;
}



/* POPUP */



.overlay {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.7);
	z-index: 999;
	display: none;
}
.overlay .modal {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	background-color: white;
	border-radius: 10px;
	padding: 20px;
	box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
	width: 500px;
	max-width: 90%;
}
.overlay .modal h2 {
	margin-top: 0;
}
.overlay .modal .close {
	position: absolute;
	top: 10px;
	right: 10px;
	font-size: 24px;
	cursor: pointer;
}
.overlay .modal label, .overlay .modal input, .overlay .modal textarea {
	display: block;
	margin-bottom: 10px;
	width: 100%;
	box-sizing: border-box;
	font-size: 16px;
	line-height: 1.5;
	color: #333;
}
.overlay .modal label {
	font-weight: bold;
	margin-top: 20px;
}
.overlay .modal input[type="submit"] {
	display: inline-block;
	padding: 10px 20px;
	background-color: #1abc9c;
	color: white;
	border: none;
	border-radius: 5px;
	font-size: 16px;
	cursor: pointer;
}
.overlay .modal input[type="submit"]:hover {
	background-color: #16a085;
}


/* spinner */
#spinner-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 9999;
    display: none;
}

.spinner {
    position: absolute;
    top: 50%;
    left: 50%;
    border: 5px solid #f3f3f3;
    border-top: 5px solid #3498db;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}




/* PHOTO */
.image-container {
  position: relative;
}

.image-overlay {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, 50%);
  background-color: rgba(255, 255, 255, 0.8);
  border-radius: 50%;
  width: 30px;
  height: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}

.fa-plus {
  color: black;
  font-size: 1.5em;
}


/* CHECKBOX OUI NON */
.checkbox-container {
    display: inline-block;
    position: relative;
    padding-left: 35px;
    margin-right: 15px;
    cursor: pointer;
    user-select: none;
  }

  .checkbox-container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
  }

  .checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    border-radius: 50%;
    border: 2px solid #666;
  }

  .checkbox-container input:checked ~ .checkmark {
    background-color: green;
    border: none;
  }

  .checkmark:after {
    content: "";
    position: absolute;
    display: none;
  }

  .checkbox-container input:checked ~ .checkmark:after {
    display: block;
  }

  .checkbox-container .checkmark:after {
    left: 8px;
    top: 4px;
    width: 6px;
    height: 12px;
    border: solid white;
    border-width: 0 3px 3px 0;
    transform: rotate(45deg);
  }

  .checkmark.red {
    border-color: #666;
  }

 .checkmark.blue {
    border-color: #0518E3;
  }
  .checkbox-container input:checked ~ .checkmark.red {
    background-color: red;
    border: none;
  }

  .checkbox-container .checkmark.red:after {
    left: 6px;
    top: 5px;
    width: 12px;
    height: 12px;
    border-radius: 50%;
    background-color: white;
  }

#id_client_chien_liste{
	margin-top: 1em;
}


.chien_recherche_hover:hover{
	cursor: pointer;
	font-style: oblique;
	color: blue;
}

#photo_chien{
	max-width: 8em;
}


.bp-export {
	box-shadow:inset 0px 1px 0px 0px #abd4ef;
	background:linear-gradient(to bottom, #742ad4 5%, #117bb8 100%);
	background-color:#2a6ed4;
	border-radius:6px;
	border:1px solid #1102e4;
	display:inline-block;
	cursor:pointer;
	color:#e7eb07;
	font-family:Arial;
	font-size:15px;
	font-weight:bold;
	padding:6px 24px;
	text-decoration:none;
	text-shadow:0px 1px 0px #aade7c;
	margin-right: 1em;
	margin-left: 1em;
}
.bp-export:hover {
	background:linear-gradient(to bottom, #5111b8 5%, #2ab2d4 100%);
	background-color:#211a85;
	cursor: pointer;
}
.bp-export:active {
	position:relative;
	top:1px;
}

#fichier_documents_a_ajouter{
	margin-left: 1em;
	margin-right: 1em;
}

#type_documents_a_ajouter{
	margin-left: 1em;
	margin-right: 1em;
}

.hover_nom_prenom:hover{
	background:linear-gradient(to bottom, #5cb811 5%, #77d42a 100%);
	background-color:#5cb811;
	cursor: pointer;
}

.checkbox_typeproduit{
	display: inline-block;
	margin-right: 1em;
	
}

.checkbox_typeproduit_first{
	display: inline-block;
	margin-right: 1em;
	margin-left: 1em;
}

#main_content_infos {
	width: 100%;
	border: 1px groove #eee;
	border-radius: 0.2em;
	margin: 2em;
	display: flex;
  }
  
  .table-container {
	width: 100%;
  }
  
  #tableau_status_vente {
	width: 100%;
	border-collapse: collapse;
  }
  
  #tableau_status_vente tbody {
	display: block;
	max-height: calc(25 * 1.5em); /* 15 lignes avec une hauteur de ligne de 1.5em */
	overflow-y: auto;
  }
  
  #tableau_status_vente thead,
  #tableau_status_vente tfoot {
	display: table;
	width: 100%;
	table-layout: fixed;
  }
  
  #tableau_status_vente tr {
	display: table;
	width: 100%;
	table-layout: fixed;
  }
  
  .liste_red{
	background: #C94143;
}



.event {
	border-bottom: 1px solid rgb(201, 193, 193);
	padding-bottom: 10px;
	margin-bottom: 10px;

  }
/*
#tableau_status_vente{
	display: inline-block;
  max-height: 10%;
  overflow-y: scroll;
}*/

/*#div_droite > div {
	float: left;
}*/

/*#div_droite > div > input{
	min-width:calc(100vh - 100px);
}*/
/*
.grid-item {
  grid-column: span 1;
  display: flex;
  justify-content: space-between;
  margin-bottom: 10px;
}
*/